KCTimeInfo Class Reference

`#include <kctimefactory.h>`

Inherits KSycocaFactory.

## Public Member Functions

| KCTimeInfo ()
virtual void | saveHeader (QDataStream &str)
virtual void | save (QDataStream &str)
KSycocaEntry * | createEntry (const QString &, const char *)
KSycocaEntry * | createEntry (int)
void | addCTime (const QString &path, Q_UINT32 ctime)
Q_UINT32 | ctime (const QString &path)
void | fillCTimeDict (QDict< Q_UINT32 > &dict)

## Protected Attributes

QDict< Q_UINT32 > | ctimeDict
int | m_dictOffset

## Detailed Description

Service group factory for building ksycoca.

Definition at line 29 of file kctimefactory.h.

## Constructor & Destructor Documentation

KCTimeInfo::KCTimeInfo | ( |  | ) |

Create factory.

Definition at line 25 of file kctimefactory.cpp.

## Member Function Documentation

void KCTimeInfo::save | ( | QDataStream & | str | ) |

virtual

Write out data.

Definition at line 52 of file kctimefactory.cpp.

void KCTimeInfo::saveHeader | ( | QDataStream & | str | ) |

virtual

Write out header information.

Definition at line 44 of file kctimefactory.cpp.

The documentation for this class was generated from the following files:

- kctimefactory.h
- kctimefactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys